﻿@model SignDocumentViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                {{Model.PageTitle}}
            </h1>
            
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <form>
        <div ng-show="Model.IsSign==false">
            <label class="req-star" for="@Html.Ang(m => m.Name)">Name</label>
            <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(m => m.Name)>
                <input class="k-textbox" id="@Html.Ang(m => m.Name)" ng-model="@Html.Ang(m => m.Name)" @Html.AngTooltipValidationFor(m => m.Name) />
            </div>
        </div>
        <div class="clearfix"></div>
        <div ng-show="Model.IsSign==false">
            <label class="req-star" for="@Html.Ang(m => m.Company)">Company</label>
            <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Company)>
                <input class="k-textbox" id="@Html.Ang(m => m.Company)" ng-model="@Html.Ang(m => m.Company)" @Html.AngTooltipValidationFor(model => model.Company) />
            </div>
        </div>
        <div class="clearfix"></div>
        <div ng-show="Model.IsSign==false">
            <label class="req-star" for="@Html.Ang(m => m.Title)">Title</label>
            <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Title)>
                <input class="k-textbox" id="@Html.Ang(m => m.Title)" ng-model="@Html.Ang(m => m.Title)" @Html.AngTooltipValidationFor(model => model.Title) />
            </div>
        </div>
        <div class="clearfix"></div>
        <label class="req-star" ng-show="Model.IsSign==false">Draw your signature</label>
        <div style="text-align:right;">
            <input class="sign-container"  id="JbSignature781852516_Value" name="JbForm.Elements[1].Elements[4].Value" type="hidden" value="" />
            <div ng-show="Model.IsSign==false" id="JbSignature781852516" class="sign-container">
                <button data-for="JbSignature781852516" class="btn btn-default btn-sm pull-right clear-signature">Clear</button>
                <span class="field-validation-valid" data-valmsg-for="JbForm.Elements[1].Elements[4].Value" data-valmsg-replace="true"></span>
            </div>
        </div>
        <div class="clearfix"></div>

        <fieldset ng-hide="Model.IsSign!=true">

            <div class="clearfix">

                <div class="one-third place-left">
                    <label style="font-weight:bold">Name</label>
                    <label>{{Model.Name}}</label>
                </div>
                <div class="one-third place-left">
                    <label style="font-weight:bold">Company</label>
                    <label>{{Model.Company}}</label>
                </div>
                <div class="one-third place-left">
                    <label style="font-weight:bold">Title</label>
                    <label>{{Model.Title}}</label>
                </div>
                <div class="one-third place-left">
                    <label style="font-weight:bold">Date signed</label>
                    <label>{{Model.SignedDate}}</label>
                </div>
            </div>

        </fieldset>

        <div ng-hide="Model.IsSign!=true" class="sign-container">
            <div id="JbSignature480796241" style="display: none;"><div style="padding:0 !important;margin:0 !important;width: 100% !important; height: 0 !important;margin-top:-1em !important;margin-bottom:1em !important;"></div><canvas class="jSignature" width="480" height="120" style="margin: 0px; padding: 0px; border: none; height: 120px; width: 480px;"></canvas><div style="padding:0 !important;margin:0 !important;width: 100% !important; height: 0 !important;margin-top:-1.5em !important;margin-bottom:1.5em !important;"></div></div>

            <img id="Image_JbSignature480796241" ng-model="Model.Signature" class="img-box-waiwer" />
        </div>
        <div class="clearfix"></div>
        <br />
        <button ng-show="Model.IsSign==false" type="submit" class="success large place-right" ng-click="SaveSignature()">Submit</button>
        <button type="button" class="link place-left large button" data-ng-click="cancelAction()">Cancel</button>
        <div class="clearfix"></div>
    </form>

</div>
<script src="/Scripts/Libraries/jSignature/jSignature.min.js"></script>



